Create a VMM API and create a reference implementation
06/01/2019 11:41 AM - Nico Schottelius

Status: Closed Start date: 06/01/2019
Priority: Normal Due date:

Assignee: Evil Ham % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Idea: we create a REST API that allows users to manage VMs including networks that we LIKE.

Background: instead of specifying / coding directly, create something that can be easily portable and can use either
kvm/gemu/xen/docker/k8s/bhyve/opennebula/... in the background.

Specification of v1:

Creating/deleting/changing VMs

- POST /vm/

Creating/deleting/changing Networks

Creating/deleting/changing Storage

Questions to be answered:

e How to ignore authentication and authorization?

o Suggestion: we define an "abstract" token
o Can be $random

o Or can be username/realm/token
o Or whatever

Request definition
Authentication
¢ Client sends a token of undefined form with each request

e |f there is no token, it is an anonymous request
e The API returns http XXX, if the token was not valid for the resource/method

History

#1 - 06/01/2019 11:52 AM - Nico Schottelius

- Description updated

#2 - 06/01/2019 07:19 PM - Evil Ham

crowd_cloud

#3 - 06/02/2019 08:43 PM - Nico Schottelius

- Status changed from New to Resolved

Thanks everyone for participating! It was great seeing all of you!

#4 - 06/02/2019 08:48 PM - Nico Schottelius

... to be picked up at some point in the futre
http://localhost:3000/projects/hack4glarus-2019-summer/wiki/Crowd_cloud

#5 - 06/02/2019 08:49 PM - Nico Schottelius

- Status changed from Resolved to Closed
